Subject: USB Ethernet gadget on Nokia n900

From: [email-masked] (Pavel Machek)
Date: Mon, 20 Oct 2014 00:30:43 +0200

Hi!

> > > > omap_musb_mailbox: musb core is not yet ready
> > > > 
> > > > message. It looks related...?
> > > 
> > > Can you try tree
> > > https://gitorious.org/linux-n900/linux-n900/ ?
> > > 
> > > I think with rx51_defconfig from above tree it worked fine
> > > for 3.10 - 3.13 versions.
> > 
> > From your tree, I am trying
> > 815039686baffff6432b45028dd405b1981a9112 (3.16 based). I
> > attempted to make gadget drivers build-in and enabled
> > nfsroot. I could not detect nokia on USB after bootup.
> > 
> > Are you sure about defconfig? AFAICT defconfig will always be
> > unsuitable for nfsroot, as it will not contain nfs support
> > built-in...
> > 
> > I am trying c089e5f8ba2d44afd2db2c2042d43ca70205c536 (3.13
> > based). Same result :-(.
> > 
> > Do you have any tree where usb gadget works for you?
> 
> My N900 can boot kernel from v3.12-rc5-n900 branch compiled with 
> arch/arm/configs/rx51_defconfig. Also it can boot full Maemo5 
> system (with CSSU and some minor system changes) and usb network 
> via g_nokia.ko gadget working fine...

Thanks for the info. Network seems to work on this one.

> So if it does not working for you then kernel usb subsystem could 
> have problems with using gadgets directly from zimage.

It seems to work with 3.12, but not with 3.13 (in similar config). If
you could test USB networking in 3.13, that would help...

Thanks,

									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html